/* @font-face {
    font-family: 'Good Timing';
    src: url('fonts/good timing bd.otf') format('otf');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Montserrat Alternates';
    src: url('fonts/MontserratAlternates-Black.ttf') format('ttf');
    font-weight: normal;
    font-style: normal;
} */
body {
    padding: 0px;
    margin: 0px;
    background: linear-gradient(180deg, #010101 0%, #281864 100%);
    height: fit-content;
    width:100%;
    font-family:Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    /* font-family: Georgia, 'Times New Roman', Times, serif; */
}
.body {
    padding: 0px;
    margin: 0px;
}
.name-text {
    display: flex;
    justify-content: center;
    padding-top: 15px;
}
.header {
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.header-img {
    display: flex;
    width: 100%;
}
.name-site {
    position: absolute;
    top: 600px;
    left: 50%;
    transform: translate(-50%, -50%);
    /* font-family: 'Good Timing', sans-serif; */
    font-weight: 700;
    font-size: 100px;
    text-transform: uppercase;
    color: #fff;
    text-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);
    text-align: center;
}
.podpiska-text {
    display: flex;
    flex-direction: column;
    /* font-family: var(--second-family); */
    font-weight: 400;
    font-size: 40px;
    text-align: center;
    color: #fff; 
    align-items: center;
}
.text {
    padding: 0px;
    margin: 6px 0px;
    font-size: 18px;
}
.text-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    font-size: 24px;
    padding-bottom: 80px;
    padding-top: 60px;
}
.text-game {
    text-align: center;
    
}
.text-game-first {
    color: gold;
    font-size: 48px;
    text-align: center;
    padding-bottom: 20px;
}
.img-left {
    display: block;
    position: absolute;
    top: 780px;
}
.svg-text {
    display: flex;
    justify-content: center;
    padding-top: 20px;
}
.container-bloc-subscribtion {
    display: flex;
    flex-direction: row;
    gap: 50px;
    color: #fff;
    justify-content: space-between;
    padding: 20px 60px 20px 60px;
}
.bloc-subscribtion {
    display: flex;
    flex-direction: column;
    text-align: center;
    width: 393px;
    height: fit-content;
    background-color: #4830A1;
    z-index: 1;
    border-radius: 12px;
    padding: 20px;
}
.deluxe-text {
    background-color: #FED448;
    border-radius: 12px;
    padding: 12px 6px;
    /* font-family: var(--font-family); */
    font-weight: 900;
    font-size: 43px;
    color: #271964;
}
.extra-text {
    background-color: #D1D1D1;
    border-radius: 12px;
    padding: 12px 6px;
    /* font-family: var(--font-family); */
    font-weight: 900;
    font-size: 43px;
    color: #271964;
}
.essential-text {
    background-color: #BAABFA;
    border-radius: 12px;
    padding: 12px 6px;
    /* font-family: var(--font-family); */
    font-weight: 900;
    font-size: 43px;
    color: #271964;
}
.text-description {
    /* font-family: var(--second-family); */
    font-weight: 400;
    font-size: 20px;
    color: #271964;
}
.img-right {
    display: block;
    position: absolute;
    right: 0px;
    top: 1800px;
}
.price {
    /* font-family: var(--font-family); */
    font-weight: 800;
    font-size: 27px;
    color: #fff;
}
.deluxe-price {
    padding: 20px;
}
.extra-price {
    padding: 20px;
}
.essential-price {
    padding: 20px;
}
.container-simple-text {
    display: flex;
    flex-direction: column;
    gap: 7px;
    text-align: start;
    padding-left: 60px;
}
.contact {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    color: white;
    gap: 30px;
}
#contact-form {
    display: flex;
    flex-direction: column;
    background-color: #4830A1;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    width: 400px;
}
#contact-form label {
    display: block;
    margin-bottom: 8px;
    font-weight: bold;
}
#contact-form input[type="text"],
#contact-form input[type="tel"],
#contact-form textarea {
    width: 100%;
    padding: 10px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}
#contact-form button {
    width: 100%;
    background-color: #4CAF50;
    color: white;
    padding: 10px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
}
#contact-form button:hover {
    background-color: #45a049;
}
.container-logo-icons {
    
}

.social-icons {
    display: flex;
    flex-direction: column;
    gap: 50px;
    padding: 16px;
}

.icon {
    width: 50px;
    height: 50px;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    border-radius: 100%;
}

.icon a {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

.icon img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.icon:hover {
    transform: scale(1.1);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
    border-radius: 100%;
}

.container-contact-us {
    display: flex;
    flex-direction: row;
    justify-content: center;
    padding-left: 80px;
    background-image: url("img/wolf.png");
    background-repeat: no-repeat;
}

  .text-comand {
    color: white;
    font-size: 44px;
    text-align: center;
    padding: 20px 50px;
  }
  .info-contact {
    text-align: center;
    font-size: 22px;
    color: white;
  }

.gallery-container-first {
    display: flex;
    justify-content: space-between;
    padding-right: 30px;
    flex-direction: row;
    color: white;
    font-size: 40px;
}
/* Общие стили */
.gallery-container {
    position: relative;
    max-width: 500px;
    width: 100%;
    right: 0px;
    border: 5px solid white;
    border-radius: 12px;
}

.gallery img {
    width: 100%;
    display: none;
}

.gallery img.active {
    display: block;
}

/* Стили для кнопок переключения */
button#butoon {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    border: none;
    color: white;
    padding: 10px;
    cursor: pointer;
    font-size: 18px;
}

button#butoon:hover {
    background-color: rgba(0, 0, 0, 0.7);
}

.prev {
    left: 0;
    border-radius: 50%;
    background-color: white;
}

.next {
    right: 0;
    border-radius: 50%;
    background-color: white;
}
.botom-text-1 {
    color: white;
    font-size: 40px;
    text-align: center;
    padding-top: 25px;
    font-family: Georgia, 'Times New Roman', Times, serif;}
.botom-text-2 {
    color: white;
    font-size: 40px;
    text-align: center;
    padding: 70px;
    font-family: Georgia, 'Times New Roman', Times, serif;}
.games {
    display: flex;
    flex-direction: row;
    gap: 20px;
    padding-bottom: 150px;
    overflow-y: scroll;
}
.game {
    padding: 0px 12px;
    width: 400px;
    height: 400px;
}
.game img {
    width: 400px;
    height: 500px;
    border: 1px solid white;
}
.link-tg {
    color: white;
    text-decoration: none;
    background-color: #4830A1;
    padding: 2px;
    border-radius: 6px;
}
/* Медиазапрос для экранов шириной до 768px (мобильные устройства) */
@media (max-width: 768px) {
    .header-img {
        width: 100%;
        height: auto;
    }

    .name-site {
        font-size: 50px;
        top: 400px;
    }

    .container-bloc-subscribtion {
        padding: 20px 0px;
    }

    .bloc-subscribtion {
        width: 100%;
        margin-bottom: 20px;
    }

    .text-info {
        font-size: 18px;
    }

    .img-right {
        display: none; /* Скрытие изображения на мобильных устройствах */
    }
    .link-tg {
        /* width: 400px; */
        font-size: 12px;
    }
    .games {
        flex-direction: column;
        padding-bottom: 50px;
    }

    .game img {
        width: 300px;
        height: 400px;
    }

    .contact {
        flex-direction: column;
        gap: 15px;
    }

    #contact-form {
        width: 100%;
    }

    .icon {
        width: 40px;
        height: 40px;
    }
    .botom-text-2 {
        text-align: center;
        font-size: 18px;
    }
    .name-site {
        top: 170px;
        font-size: 20px;
    }
    .svg-text {
        padding-top: 30px;
        margin: 0px;
    }
    .svg-text img {
        align-items: center;
        width: 270px;
        padding-left: 15px;
    }
    .podpiska-text {
        padding: 0px 40px;
        margin: 0px;
        font-size: 12px;
    }
    .text-info {
        padding: 0px;
        margin: 0px;
        text-align: center;
    }
    .container-bloc-subscribtion {
        display: flex;
        flex-direction: row;
        overflow-y: scroll;
        gap: 10px;
        padding-left: 10px;
        padding-right: 10px;
    }
    .bloc-subscribtion {
        padding: 5px 5px 0px 5px;
        min-width: 320px;
    }
    .text-description {
        font-size: 16px;
    }
    .price {
        font-size: 22px;
    }
    .container-simple-text {
        padding: 0px;
    }
    .text {
        text-align: center;
        font-size: 18px;
    }
    .games {
        display: flex;
        flex-direction: row;
        overflow-y: scroll;
    }
    .img-left {
        /* top: 300px;
        width: 85px;
        height: 250px; */
        width: 0px;
        height: 0px;
    }
    .social-icons {
        display: flex;
        flex-direction: row;
    }
    .container-contact-us {
        padding: 0px;
        margin: 0px;
        text-align: center;
        background-image: none;
    }
    .botom-text-1 {
        font-size: 35px;
        text-align: center;
    }
    .botom-text-2 {
        font-size: 30px;
        text-align: center;
    }
    .text-comand {
        font-size: 20px;
        text-align: center;
    }
    .body {
        background: linear-gradient(180deg, #010101 0%, #281864 100%);
    }
}
